const fs = require("fs");
var Stimulsoft = require("stimulsoft-reports-js");

function export_report(report_file,template_file,document_type) {
    Stimulsoft.Base.StiFontCollection.addOpentypeFontFile("./Roboto-Black.ttf");

    var report = Stimulsoft.Report.StiReport.createNewReport();
    report.loadFile(template_file);

    report.renderAsync(function () {
        report.exportDocumentAsync((report_data) => {      
            try {
                const buffer = Buffer.from(report_data)
                fs.writeFileSync(report_file, buffer);
                console.log('[OK]\t'+ report_file);
            } catch (error) {
                console.log('[FAIL]\t'+ report_file);
            }

        }, document_type);
    
    });
}

export_report("./exports/report_with_chart.pdf", "./reports/template_with_chart.mrt", Stimulsoft.Report.StiExportFormat.Pdf);
export_report("./exports/report_with_chart.docx", "./reports/template_with_chart.mrt", Stimulsoft.Report.StiExportFormat.Word2007);
// It does not produces the the ppt file with an error!
//export_report("./exports/report_with_chart.ppt", "./reports/template_with_chart.mrt", Stimulsoft.Report.StiExportFormat.Ppt2007);

export_report("./exports/report_without_chart.pdf", "./reports/template_without_chart.mrt", Stimulsoft.Report.StiExportFormat.Pdf);
export_report("./exports/report_without_chart.docx", "./reports/template_without_chart.mrt", Stimulsoft.Report.StiExportFormat.Word2007);
// It produces the the ppt files, but still with another error!
//export_report("./exports/report_without_chart.ppt", "./reports/template_without_chart.mrt", Stimulsoft.Report.StiExportFormat.Ppt2007); 

